\usepackage[T1]{fontenc}
\usepackage{fontspec}
\newfontfamily\rhDisplay{RedHatDisplay}[
  % Ligatures = ..., etc.
  UprightFont = *-Regular ,
  ItalicFont = *-Italic ,
  BoldFont = *-Bold ,
  BoldItalicFont = *-BoldItalic ,
  FontFace = {l}{n}{*-Light},
  FontFace = {l}{it}{*-LightItalic},
  FontFace = {sb}{n}{*-Medium},
  FontFace = {sb}{it}{*-MediumItalic},
  FontFace = {eb}{n}{*-Black},
  FontFace = {eb}{it}{*-BlackItalic}
]
\newfontfamily\rhText{RedHatText}[
  % Ligatures = ..., etc.
  UprightFont = *-Regular ,
  ItalicFont = *-Italic ,
  BoldFont = *-Bold ,
  BoldItalicFont = *-BoldItalic ,
  FontFace = {l}{n}{*-Light},
  FontFace = {l}{it}{*-LightItalic},
  FontFace = {sb}{n}{*-Medium},
  FontFace = {sb}{it}{*-MediumItalic},
]
\newfontfamily\rhMono{RedHatMono}[
  % Ligatures = ..., etc.
  UprightFont = *-Regular ,
  ItalicFont = *-Italic ,
  BoldFont = *-Bold ,
  BoldItalicFont = *-BoldItalic ,
  FontFace = {l}{n}{*-Light},
  FontFace = {l}{it}{*-LightItalic},
  FontFace = {sb}{n}{*-Medium},
  FontFace = {sb}{it}{*-MediumItalic},
]

% Declare shorthands for light, medium and black styles
\DeclareRobustCommand{\sbseries}{\fontseries{sb}\selectfont}
\DeclareTextFontCommand{\textsb}{\sbseries}
\DeclareRobustCommand{\ebseries}{\fontseries{eb}\selectfont}
\DeclareTextFontCommand{\texteb}{\ebseries}
\DeclareRobustCommand{\ltseries}{\fontseries{l}\selectfont}
\DeclareTextFontCommand{\textlt}{\ltseries}

% Set colors
\usepackage{xcolor}
\definecolor{red}{RGB}{238,0,0}
\definecolor{black}{RGB}{0,0,0}
\definecolor{white}{RGB}{255,255,255}
\definecolor{grey-light}{RGB}{243,243,243}
\definecolor{grey}{RGB}{201,201,201}
\definecolor{grey-dark}{RGB}{77,77,77}

% Set main font
\setmainfont{Red Hat Text}

% Set font for headers
\usepackage{sectsty}
\allsectionsfont{\color{red}\rhDisplay}